For AI agents: a documentation index is available at https://developers.bump.sh/doc/workspace/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Bump.sh Workspace API changes, ever again

Subscribe to the Bump.sh Workspace API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare

Request example for our webhook body has been simplified.

1 structure change including:
1 Modification
Modified 1
POST /versions
  • Body
  • content type Modified
    • unpublished property Modified
      • Property is now deprecated
    • temporary property Added
4 structure changes including:
4 Additions
Added 4
DELETE /docs/{doc_id_or_slug}/branches/{id_or_slug}
GET /docs/{doc_id_or_slug}/branches
PATCH /docs/{doc_id_or_slug}/branches/{id_or_slug}/set_default
POST /docs/{doc_id_or_slug}/branches
4 structure changes including:
4 Modifications
Modified 4
GET /hubs/{hub_id_or_slug}
  • Response
  • 400 response Added
GET /versions/{version_id}
  • Response
  • 400 response Added
POST /validations
  • Response
  • 400 response Added
POST /versions
  • Response
  • 400 response Added
2 structure changes including:
2 Modifications
Modified 2
GET /hubs/{hub_id_or_slug}
  • Response
  • 200 response Modified
    • apis property Modified
POST DocStructureChange webhook
  • Body
  • content type Modified
    • api property Modified
1 structure change including:
1 Modification
Modified 1
POST /versions
  • Body
  • content type Modified
    • branch_name property Added
5 structure changes including:
5 Modifications
Modified 5 Breaking
GET /hubs/{hub_id_or_slug}
  • Authentication
  • Authorization token authentication method Added
GET /versions/{version_id}
  • Authentication
  • Authorization token authentication method Added
POST /validations
  • Authentication
  • Authorization token authentication method Added
POST /versions
  • Authentication
  • Authorization token authentication method Added
POST DocStructureChange webhook
  • Authentication
  • Basic token authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
1 structure change including:
1 Addition
Added 1
GET /hubs/{hub_id_or_slug}
1 structure change including:
1 Modification
Modified 1
POST DocStructureChange webhook
  • Body
  • content type Modified
    • api property Modified
2 structure changes including:
1 Addition
1 Modification
Modified 1
GET /diffs/{id}
  • Response
  • 200 response Modified
    • previous_version_url, current_version_url properties Added
Added 1
POST DocStructureChange webhook
1 structure change including:
1 Modification
Modified 1
GET /diffs/{id}
  • Response
  • 200 response Modified
    • title property Added
1 structure change including:
1 Modification
Modified 1
POST /diffs
  • Body
  • content type Modified
    • expires_at property Added
1 structure change including:
1 Modification
Modified 1
POST /validations
  • Body
  • content type Modified
    • definition property Modified
      • Property is no longer required
    • url property Added
1 structure change including:
1 Modification
Modified 1
POST /diffs
  • Body
  • content type Modified
    • previous_definition, definition properties Modified
      • Properties are no longer required
    • url, previous_url properties Added
1 structure change including:
1 Modification
Modified 1
GET /diffs/{id}
  • Response
  • 200 response Modified
    • html property Added
  • Query
  • formats query parameter Added